---
title: DOMRectReadOnly.width
slug: Web/API/DOMRectReadOnly/width
tags:
  - API
  - DOM
  - DOMRect
  - DOMRectReadOnly
  - Experimental
  - Expérimental(2)
  - Geometry
  - Property
  - Reference
  - Référence(2)
  - width
---
<p>{{APIRef("DOM")}}{{ SeeCompatTable() }}</p>

<p>The <code><strong>width</strong></code> read-only property of the <strong><code>DOMRectReadOnly</code></strong> interface represents the width of the <code>DOMRect</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var recWidth = DOMRect.width;</pre>

<h3 id="Value">Value</h3>

<p>A double.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-domrectreadonly-width', 'width')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Latest spec version is an ED.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DOMRectReadOnly.width")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("DOMRect")}}</li>
</ul>
